diff -r c485320ca094 code/nel/include/nel/misc/p_thread.h
--- a/code/nel/include/nel/misc/p_thread.h	Wed Mar 09 17:13:20 2011 +0200
+++ b/code/nel/include/nel/misc/p_thread.h	Thu Mar 17 21:44:01 2011 +0100
@@ -61,6 +61,8 @@
 private:
 	uint8		_State; // 0=not created, 1=started, 2=finished
 	uint32		_StackSize;
+
+protected:
 	pthread_t	_ThreadHandle;
 };
 
diff -r c485320ca094 code/nel/src/misc/p_thread.cpp
--- a/code/nel/src/misc/p_thread.cpp	Wed Mar 09 17:13:20 2011 +0200
+++ b/code/nel/src/misc/p_thread.cpp	Thu Mar 17 21:44:01 2011 +0100
@@ -39,6 +39,7 @@
 
 		if(pthread_setspecific(threadSpecificKey, this) != 0)
 			throw EThread("cannot set main thread ptr in thread specific storage.");
+		_ThreadHandle=pthread_self();
 	}
 
 	~CPMainThread() 
		ViewerCfg.IgPath = cvIgPath.asString();
